Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Constraints auslesen von CatPart in CatProduct

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:  Constraints auslesen von CatPart in CatProduct (148 / mal gelesen)
JoFa97
Mitglied
Student


Sehen Sie sich das Profil von JoFa97 an!   Senden Sie eine Private Message an JoFa97  Schreiben Sie einen Gästebucheintrag für JoFa97

Beiträge: 23
Registriert: 24.10.2023

CATIA V5

erstellt am: 10. Jun. 2024 14:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Screen_Forum.PNG

 
Hallo liebes Forum.
Mein Ziel ist es, von CatParts in einem CatProduct die Bedingungen auszuelesen. Konkreter würde ich diese gerne genau so, wie sie im Strukturbaum meines CatProducts angegeben sind (Screenshot), reihenweise in eine .txt überführen.
Das würde ich hinkriegen, wenn das Auslesen soweit funktionieren würde.

Mein Code bis jetzt ist folgender (beachte: ich habe es probeweise auf Item(1) angewandt, dieses ist "Gear 2.1", welches laut Screenshot ja offensichtlich constraints hat)

Code:

        Public Shared Function Test()
            Dim CATIA As Object
            CATIA = GetObject(, "CATIA.Application")
            Dim Prod_Name = CATIA.ActiveDocument.Product.Products.Item(1)
            Dim ProdConstraints As Constraints
            Dim Prodconstraint As Constraint
            ProdConstraints = Prod_Name.Connections("CATIAConstraints")
            For i As Integer = 0 To ProdConstraints.Count
                ...
            Next
            Return (ProdConstraints)
        End Function

Setze ich einen Haltepunkt, so sehe ich aber, dass der ProdConstraints.Count = 0 ist. Wie kommt das, mache ich etwas falsch?
Und wie würde es weiter gehen, greife ich per .Value auf die einzelnen Constraints in ProdConstraints zu?

Ich wäre für Hilfe sehr dankbar!

Liebe Grüße Joshua


------------------
Joshua

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 737
Registriert: 12.04.2003

Win10 x64
CATIA V5 R18, R19, R21, R27-29

erstellt am: 10. Jun. 2024 15:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoFa97 10 Unities + Antwort hilfreich

Moin,
ich denke mal, das die Constraints im Produkt gespeichert sind und nicht in der Instanz des verbauten Parts.

Gruß
Randle

------------------
Planung ersetzt Fehler durch Irrtum!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoFa97
Mitglied
Student


Sehen Sie sich das Profil von JoFa97 an!   Senden Sie eine Private Message an JoFa97  Schreiben Sie einen Gästebucheintrag für JoFa97

Beiträge: 23
Registriert: 24.10.2023

CATIA V5

erstellt am: 11. Jun. 2024 09:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,
ja das klingt auch sinnvoll, aber wenn ich mich nicht auf die Instanz beziehe, sondern .Connections("Constraints") einfach auf mein aktives Dokument anwende, kriege ich eine Fehlermeldung.

Liebe Grüße Joshua

------------------
Joshua

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 737
Registriert: 12.04.2003

Win10 x64
CATIA V5 R18, R19, R21, R27-29

erstellt am: 11. Jun. 2024 09:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoFa97 10 Unities + Antwort hilfreich

Moin,
was denn für eine Fehlermeldung?
So sollte es eigentlich gehen.
Code:

Dim ProdDoc As ProductDocument
Set ProdDoc = CATIA.ActiveDocument
Dim RootProd As Product
Set RootProd = ProdDoc.Product
Dim ProdConstraints As Constraints
Set ProdConstraints = RootProd.Connections("CATIAConstraints")


Gruß Randle

------------------
Planung ersetzt Fehler durch Irrtum!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoFa97
Mitglied
Student


Sehen Sie sich das Profil von JoFa97 an!   Senden Sie eine Private Message an JoFa97  Schreiben Sie einen Gästebucheintrag für JoFa97

Beiträge: 23
Registriert: 24.10.2023

CATIA V5

erstellt am: 11. Jun. 2024 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Damit funktioniert es vielen Dank!! Ich bin einfach garnicht versiert im Thema auf welches Produkt ich mich grade referenziere, und Unterschied zwischen dem Produkt und Dokument ...

Weitere frage, ich habe jetzt 206 Constraints im Product. Wie lese ich die Werte ungefähr nach dem gewünschten Format String:"Constraint, part1, part2" aus, bzw. lasse mir das als den String im Strukturbaum anzeigen?

Liebe Grüße Joshua

------------------
Joshua

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11963
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 11. Jun. 2024 10:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoFa97 10 Unities + Antwort hilfreich

Servus

Das sollte zB über den DisplayName der entsprechenden GetConstraintElement gehen (siehe zB hier)

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2024 CAD.de | Impressum | Datenschutz